// Code generated by mockery v1.0.0. DO NOT EDIT.
package mocks

import gitlab "github.com/xanzy/go-gitlab"
import mock "github.com/stretchr/testify/mock"

// StatusAPI is an autogenerated mock type for the StatusAPI type
type StatusAPI struct {
	mock.Mock
}

// SetCommitStatus provides a mock function with given fields: pid, sha, opt, options
func (_m *StatusAPI) SetCommitStatus(pid interface{}, sha string, opt *gitlab.SetCommitStatusOptions, options ...gitlab.OptionFunc) (*gitlab.CommitStatus, *gitlab.Response, error) {
	_va := make([]interface{}, len(options))
	for _i := range options {
		_va[_i] = options[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, pid, sha, opt)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	var r0 *gitlab.CommitStatus
	if rf, ok := ret.Get(0).(func(interface{}, string, *gitlab.SetCommitStatusOptions, ...gitlab.OptionFunc) *gitlab.CommitStatus); ok {
		r0 = rf(pid, sha, opt, options...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*gitlab.CommitStatus)
		}
	}

	var r1 *gitlab.Response
	if rf, ok := ret.Get(1).(func(interface{}, string, *gitlab.SetCommitStatusOptions, ...gitlab.OptionFunc) *gitlab.Response); ok {
		r1 = rf(pid, sha, opt, options...)
	} else {
		if ret.Get(1) != nil {
			r1 = ret.Get(1).(*gitlab.Response)
		}
	}

	var r2 error
	if rf, ok := ret.Get(2).(func(interface{}, string, *gitlab.SetCommitStatusOptions, ...gitlab.OptionFunc) error); ok {
		r2 = rf(pid, sha, opt, options...)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}
